<?php  
//ini_set('display_errors', 1);
//ini_set('display_startup_erros', 1);
//error_reporting(E_ALL);
require_once(dirname(__FILE__)."/../../vendor/classe.cs.php");
require_once(dirname(__FILE__)."/../../vendor/PHPMailer/class.phpmailer.php");

$cs = new cs;

$users = [];

$users = (array) $cs->fetchQuery($cs->executeQuery("SELECT * FROM v_usuariosConsulta WHERE id_gerenciador = 1"));

//ENVIO DE EMAIL E SMS +3 DIAS || STATUS NORMAL 

exit;

if (count($users) > 0) {
   
    for ($i=0; $i < count($users); $i++) { 

	    $users[$i]['notification']       = false;  
	    $users[$i]['notification_type']  = '';  
	     
	    
	    if ($users[$i]['status'] == 'normal') { 
	    	//Adiciona mais tres dias a data atual
            $DateLimit = date('Y-m-d', strtotime('+3 days', strtotime('now')));

    	    if (date('H') == '12' && date('Y-m-d', strtotime($users[$i]['vencimento'])) >= date('Y-m-d') && date('Y-m-d', strtotime($users[$i]['vencimento'])) <= $DateLimit) {
    		           
                if ($users[$i]['celular_status'] == 0) {
                    //Mensagem via SMS 
	               // $smsTexto = "Olá, somos da Space IPTV\n\nSua LISTA IPTV esta prestes a vencer \n\nAcesse spaceiptv.net/valores e RENOVE JA\n\nSeus dados:\nLogin: {$users[$i]['login']} \nSenha: {$users[$i]['senha']}";
	                //ENVIO DO SMS 
	                //$cs->SmsFlash($smsTexto, $users[$i]['celular']);
                } 
            }

            if (strtotime(date('Y-m-d')) >= date('Y-m-d', strtotime($users[$i]['vencimento'])) && $users[$i]['email_status'] == 0)  {
		        $users[$i]['notification'] = true;  
		        $users[$i]['notification_type'] = 'aviso_cancelamento';
		    }
		        
        } else if ($users[$i]['status'] == 'teste') { 
    		
    		$teste_ativado = strtotime("+6 hours", strtotime($users[$i]['teste_ativado']));
            
            if (strtotime(date('Y-m-d H:i:s')) >= $teste_ativado && $users[$i]['email_status'] == 0) {
                $users[$i]['notification_type'] = 'aviso_cancelamento';
                $users[$i]['notification']      = true;  
            }                
    	}   

    	if ($users[$i]['notification'] == true) {
    	
           // $cs->sendEmailUser($users[$i]['id'], $users[$i]['notification_type']);

            insertEmails($users[$i]['id'], $users[$i]['email'], 0, 0, $users[$i]['notification_type']); 
            
    	    $cs->executeQuery($sql);    		
    	}	
	    
    } 
} 

function insertEmails($id, $email, $status_email, $status_celular, $type) {
	
	$sql = "CALL sp_email_insert('{$id}', '{$email}', '{$status_email}', '{$status_celular}', '{$type}')"; 
            
    $cs->executeQuery($sql);    	
}

//var_dump($cs->errors);
?>